Package org.apache.lucene.queryparser.classic

# Enum Class QueryParser.Operator

java.lang.Object
java.lang.Enum<QueryParser.Operator>
org.apache.lucene.queryparser.classic.QueryParser.Operator

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryParser.Operator>`, `Constable`

Enclosing class:
  `QueryParser`

public static enum QueryParser.Operator extends Enum<QueryParser.Operator>
The default operator for parsing queries. Use `QueryParserBase.setDefaultOperator(org.apache.lucene.queryparser.classic.QueryParser.Operator)` to change it.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AND`
`OR`

## Method Summary

Modifier and Type
Method
Description
`static QueryParser.Operator`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static QueryParser.Operator[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OR

public static final QueryParser.Operator OR

### AND

public static final QueryParser.Operator AND

## Method Details

### values

public static QueryParser.Operator[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static QueryParser.Operator valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null